org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.AggregatedValueElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.AggregatedValueElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.AggregatedValueElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatedValueElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Assignment` | `getAggregatorAssignment_0()`
    `org.eclipse.xtext.CrossReference` | `getAggregatorJvmDeclaredTypeCrossReference_0_0()`
    `org.eclipse.xtext.RuleCall` | `getAggregatorJvmDeclaredTypeValidIDParserRuleCall_0_0_1()`
    `org.eclipse.xtext.Alternatives` | `getAlternatives_1()`
    `org.eclipse.xtext.Assignment` | `getCallAssignment_1_0()`
    `org.eclipse.xtext.Assignment` | `getCallAssignment_1_1()`
    `org.eclipse.xtext.Assignment` | `getCallAssignment_1_2()`
    `org.eclipse.xtext.RuleCall` | `getCallEClassifierConstraintParserRuleCall_1_1_0()`
    `org.eclipse.xtext.RuleCall` | `getCallPathExpressionConstraintParserRuleCall_1_2_0()`
    `org.eclipse.xtext.RuleCall` | `getCallPatternCallParserRuleCall_1_0_0()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.ParserRule` | `getRule()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatedValueElements

          public AggregatedValueElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getAggregatorAssignment_0

          public org.eclipse.xtext.Assignment getAggregatorAssignment_0()

    - #### getAggregatorJvmDeclaredTypeCrossReference_0_0

          public org.eclipse.xtext.CrossReference getAggregatorJvmDeclaredTypeCrossReference_0_0()

    - #### getAggregatorJvmDeclaredTypeValidIDParserRuleCall_0_0_1

          public org.eclipse.xtext.RuleCall getAggregatorJvmDeclaredTypeValidIDParserRuleCall_0_0_1()

    - #### getAlternatives_1

          public org.eclipse.xtext.Alternatives getAlternatives_1()

    - #### getCallAssignment_1_0

          public org.eclipse.xtext.Assignment getCallAssignment_1_0()

    - #### getCallPatternCallParserRuleCall_1_0_0

          public org.eclipse.xtext.RuleCall getCallPatternCallParserRuleCall_1_0_0()

    - #### getCallAssignment_1_1

          public org.eclipse.xtext.Assignment getCallAssignment_1_1()

    - #### getCallEClassifierConstraintParserRuleCall_1_1_0

          public org.eclipse.xtext.RuleCall getCallEClassifierConstraintParserRuleCall_1_1_0()

    - #### getCallAssignment_1_2

          public org.eclipse.xtext.Assignment getCallAssignment_1_2()

    - #### getCallPathExpressionConstraintParserRuleCall_1_2_0

          public org.eclipse.xtext.RuleCall getCallPathExpressionConstraintParserRuleCall_1_2_0()